using FitConnect.Models;

namespace FitConnect.Interfaces.Sender;

public interface ISenderWithAttachments : ISenderReady {
    /// <summary>
    ///     Data as string.
    /// </summary>
    /// <param name="data">json or xml as string</param>
    /// <example>
    ///     .WithData(@"{ ""name"": ""John Doe"" }")
    /// </example>
    /// <returns>next step to submit the data</returns>
    public ISenderWithData WithData(string data);
}

public interface ISenderWithEncryptedMetaData {
    public ISenderWithEncryptedData WithEncryptedData(string data);
}

public interface ISenderWithEncryptedData {
    public Submission Submit();
}
